<template>
  <basic-container>
    <avue-crud ref="crud"
               v-model="form"
               :data="data"
               :option="option"
               @on-load="getList"
               @refresh-change="refreshChange"
               @search-change="searchChange"
               @current-row-change="handleCurrentRowChange"
    >
    </avue-crud>

  </basic-container>
</template>

<script>
export default {
  name: "Versionpackage.vue",
  data(){
    return {

      data:[
        {
          name:"测试1",
          source:"测试1",
          shows:"测试1"
        },
        {
          name:"测试2",
          source:"测试2",
          shows:"测试2"
        },
        {
          name:"测试3",
          source:"测试3",
          shows:"测试3"
        },
        {
          name:"测试4",
          source:"测试4",
          shows:"测试4"
        },
      ],
      form:{},
      option:{
        highlightCurrentRow:true,
        height:300,
        headerAlign:'center',
        align: 'center',
        border: true,
        menu: false,
        index: true,
        searchMenuSpan:6,
        searchSpan:10,
        addBtn:false,
        indexFixed:false,
        menuFixed:false,
        searchLabelWidth:130,
        column:[
          {
            label:"业务类型名",
            prop:"name",
            search:true,

          },
          {
            label:"标签",
            prop:"tag",
          },
          {
            label:"父类",
            prop:"father",
          },
          {
            label: "版本规则",
            prop:"versionRules"
          },
          {
            label: "生命周期",
            prop:"life"
          }
        ]
      }
    }
  },
  methods:{
    handleCurrentRowChange(row){
      this.$emit("rowchange",row)
    },
    // getList () {
    //   this.loading = true;
    //   const data = Object.assign({
    //     pageNum: this.page.currentPage,
    //     pageSize: this.page.pageSize,
    //   }, this.params)
    //   this.data = [];
    //   getList(data).then(res => {
    //     const data = res.data.data
    //     this.loading = false;
    //     this.page.total = data.total;
    //     const result = data.list;
    //     this.data = result;
    //   })
    // },
    //搜索
    searchChange(params, done) {
      if (done) done();
      // this.params = params;
      // this.page.currentPage = 1;
      // this.getList();
      this.$message.success('搜索成功')
      console.log(params,done)
    },
  }
}
</script>

<style scoped>

</style>
